# Method: projects.constraints.list

- [HTTP request](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.constraints/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.constraints/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.constraints/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.constraints/list#body.request_body)
- [Response body](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.constraints/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.constraints/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.constraints/list#try-it)

Lists constraints that could be applied on the specified resource.

### HTTP request

`GET https://orgpolicy.googleapis.com/v2/{parent=projects/*}/constraints`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The Google Cloud resource that parents the constraint. Must be in one of the following forms: - `projects/{project_number}` - `projects/{projectId}` - `folders/{folder_id}` - `organizations/{organization_id}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `orgpolicy.constraints.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Size of the pages to be returned. This is not used, but the server may at any point start using this field to limit page size. |
| `pageToken` | `string` Page token used to retrieve the next page. This is not used, but the server may at any point start using this field. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/organization-policy/reference/rest/v2/ListConstraintsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).